package com.bankaudit.dto.process;

import java.util.List;
import java.util.Map;

import com.bankaudit.process.model.AuditGradingParamCompositeRatingDtls;
import com.bankaudit.process.model.AuditGradingParamDtls;
import com.bankaudit.process.model.AuditGradingQsnBasicDtls;
import com.bankaudit.process.model.AuditGradingQsnDtls;
import com.bankaudit.process.model.AuditGradingQsnRemarks;
import com.bankaudit.process.model.AuditGradingQsoDtlsHO;
import com.bankaudit.process.model.AuditGradingQsoDtlsRO;
import com.bankaudit.process.model.AuditScheduleStatus;

public class AuditGradingDto {
	
	private Integer legalEntityCode;
	private String auditTypeCode;
	private String auditId;
	private String userUnitType;
	private String gradingStatus; 
	private String gradingComplianceStatus; 	
	private String userId;
	private String reviewerId;
	private String role;
	
	private String unitId;
	private String unitName;
		
	private AuditScheduleStatus auditScheduleStatus;
	private Map<String, AuditGradingQsnBasicDtls> auditGradingQsnBasicDtlsMap;
	private Map<String, AuditGradingQsnDtls> auditGradingQsnDtlsMap;	
	private List<AuditGradingQsoDtlsRO> auditGradingQsoDtlsROList;
	private List<AuditGradingQsoDtlsHO> auditGradingQsoDtlsHOList;		
	private List<AuditGradingParamDtls> auditGradingParamDtlsList;
	private List<AuditGradingQsnRemarks> auditGradingQsnRemarksList;	
	private AuditGradingQsnRemarks auditGradingQsnRemarks;	
	private List<AuditGradingParamCompositeRatingDtls> auditGradingParamCompositeRatingDtlsList;
	private Map<String, String> parameterMap ;
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getUserUnitType() {
		return userUnitType;
	}
	public void setUserUnitType(String userUnitType) {
		this.userUnitType = userUnitType;
	}
	public String getGradingStatus() {
		return gradingStatus;
	}
	public void setGradingStatus(String gradingStatus) {
		this.gradingStatus = gradingStatus;
	}		 
	public String getGradingComplianceStatus() {
		return gradingComplianceStatus;
	}
	public void setGradingComplianceStatus(String gradingComplianceStatus) {
		this.gradingComplianceStatus = gradingComplianceStatus;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getReviewerId() {
		return reviewerId;
	}
	public void setReviewerId(String reviewerId) {
		this.reviewerId = reviewerId;
	}
	public String getRole() {
		return role;
	}
	public void setRole(String role) {
		this.role = role;
	}
	public String getUnitId() {
		return unitId;
	}
	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}
	public String getUnitName() {
		return unitName;
	}
	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}
	public AuditScheduleStatus getAuditScheduleStatus() {
		return auditScheduleStatus;
	}
	public void setAuditScheduleStatus(AuditScheduleStatus auditScheduleStatus) {
		this.auditScheduleStatus = auditScheduleStatus;
	}
	public Map<String, AuditGradingQsnBasicDtls> getAuditGradingQsnBasicDtlsMap() {
		return auditGradingQsnBasicDtlsMap;
	}
	public void setAuditGradingQsnBasicDtlsMap(Map<String, AuditGradingQsnBasicDtls> auditGradingQsnBasicDtlsMap) {
		this.auditGradingQsnBasicDtlsMap = auditGradingQsnBasicDtlsMap;
	}
	public Map<String, AuditGradingQsnDtls> getAuditGradingQsnDtlsMap() {
		return auditGradingQsnDtlsMap;
	}
	public void setAuditGradingQsnDtlsMap(Map<String, AuditGradingQsnDtls> auditGradingQsnDtlsMap) {
		this.auditGradingQsnDtlsMap = auditGradingQsnDtlsMap;
	}	 
	public List<AuditGradingQsoDtlsRO> getAuditGradingQsoDtlsROList() {
		return auditGradingQsoDtlsROList;
	}
	public void setAuditGradingQsoDtlsROList(List<AuditGradingQsoDtlsRO> auditGradingQsoDtlsROList) {
		this.auditGradingQsoDtlsROList = auditGradingQsoDtlsROList;
	}
	public List<AuditGradingQsoDtlsHO> getAuditGradingQsoDtlsHOList() {
		return auditGradingQsoDtlsHOList;
	}
	public void setAuditGradingQsoDtlsHOList(List<AuditGradingQsoDtlsHO> auditGradingQsoDtlsHOList) {
		this.auditGradingQsoDtlsHOList = auditGradingQsoDtlsHOList;
	}
	public List<AuditGradingParamDtls> getAuditGradingParamDtlsList() {
		return auditGradingParamDtlsList;
	}
	public void setAuditGradingParamDtlsList(List<AuditGradingParamDtls> auditGradingParamDtlsList) {
		this.auditGradingParamDtlsList = auditGradingParamDtlsList;
	}
	public List<AuditGradingQsnRemarks> getAuditGradingQsnRemarksList() {
		return auditGradingQsnRemarksList;
	}
	public void setAuditGradingQsnRemarksList(List<AuditGradingQsnRemarks> auditGradingQsnRemarksList) {
		this.auditGradingQsnRemarksList = auditGradingQsnRemarksList;
	}
	public AuditGradingQsnRemarks getAuditGradingQsnRemarks() {
		return auditGradingQsnRemarks;
	}
	public void setAuditGradingQsnRemarks(AuditGradingQsnRemarks auditGradingQsnRemarks) {
		this.auditGradingQsnRemarks = auditGradingQsnRemarks;
	}
	public List<AuditGradingParamCompositeRatingDtls> getAuditGradingParamCompositeRatingDtlsList() {
		return auditGradingParamCompositeRatingDtlsList;
	}
	public void setAuditGradingParamCompositeRatingDtlsList(
			List<AuditGradingParamCompositeRatingDtls> auditGradingParamCompositeRatingDtlsList) {
		this.auditGradingParamCompositeRatingDtlsList = auditGradingParamCompositeRatingDtlsList;
	}
	public Map<String, String> getParameterMap() {
		return parameterMap;
	}
	public void setParameterMap(Map<String, String> parameterMap) {
		this.parameterMap = parameterMap;
	}	 
	
}
